module KartRace
  class Racer
    attr_reader :name, :number, :average_speed

    def initialize(number: nil, name: nil, average_speed: nil)
      @number = number
      @name = name
      @average_speed = average_speed
    end

    def ==(other)
      self.name == other.name && self.number == other.number
    end

    alias_method :eql?, :==

    def hash
      [name, number].hash
    end

    def brasilian?
      %w(F.MASSA R.BARRICHELLO).include? name
    end
  end
end
